hosting

GET /v1/uptime/monitors/{monitor_id}

One monitored address, with its history.

Todos los endpoints de hosting

Autenticación

Envía una clave de API como token de portador. Este endpoint no especifica un permiso concreto en la especificación, así que otorga a tu clave los mínimos privilegios necesarios y comprueba la respuesta en lugar de dar por sentado.

Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.

Pruébalo

Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.

curl -X GET https://api.zinndigital.com/v1/uptime/monitors/{monitor_id} \
  -H "Authorization: Bearer zdk_live_…"

¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API

Detalles

The monitor, its hourly uptime and response-time history, its incidents, its Core Web Vitals readings, and — when its measured health warrants one — a migration offer. ⛔ Unknown ids answer **404, never 403**: a 403 would confirm the id exists and belongs to somebody else. Gated on `sites.view`.

Parámetros

NombreTipoObligatorio¿Qué es esto?
monitor_id (path)string
hours (query)integerNoHow many hourly history points to return.

Respuesta

NombreTipoObligatorio¿Qué es esto?
idstring
urlstring
namestringNo
statestring<unknown, up, down, paused>⛔ `unknown` is a real state and is not a synonym for `up` — it means "not checked yet" and is excluded from every uptime percentage.
enabledboolean
expect_textstringNo
site_idstringNoSet only when the address happens to be one of this organisation's own sites. Navigation only — the monitor works identically without it, and must, because the product exists to…
last_result_atstringNo
last_up_atstringNo
last_down_atstringNo
created_atstring
summaryUptimeSummaryNo
historyUptimeHistoryPoint[]No
incidentsUptimeIncident[]No
vitalsUptimeVitalsPoint[]No
migration_offerUptimeMigrationOfferNo

Errores que este endpoint puede devolver

401 · 404